
From: Christoph Hellwig <hch@lst.de>

Callers are exported register/unregister handlers so the module is locked in
core by users of said exports.


---

 25-akpm/sound/oss/msnd.c |    5 -----
 1 files changed, 5 deletions(-)

diff -puN sound/oss/msnd.c~kill-useless-mod_incdec_use_count-in-sound-oss-msndc sound/oss/msnd.c
--- 25/sound/oss/msnd.c~kill-useless-mod_incdec_use_count-in-sound-oss-msndc	Fri May  7 15:09:09 2004
+++ 25-akpm/sound/oss/msnd.c	Fri May  7 15:09:09 2004
@@ -59,9 +59,6 @@ int __init msnd_register(multisound_dev_
 
 	devs[i] = dev;
 	++num_devs;
-
-	MOD_INC_USE_COUNT;
-
 	return 0;
 }
 
@@ -80,8 +77,6 @@ void msnd_unregister(multisound_dev_t *d
 
 	devs[i] = NULL;
 	--num_devs;
-
-	MOD_DEC_USE_COUNT;
 }
 
 int msnd_get_num_devs(void)

_
